Package com.ocient.jdbc.proto

# Interface PlanProtocol.GdcLookupOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.GdcLookupOperator`, `PlanProtocol.GdcLookupOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.GdcLookupOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getId()` | a string identifier that is the uuid of this lookup table, and the version number(higher is newer)
`com.google.protobuf.ByteString` | `getIdBytes()` | a string identifier that is the uuid of this lookup table, and the version number(higher is newer)
`long` | `getVersion()` | `int64 version = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getId

String getId()

    a string identifier that is the uuid of this lookup table, and the version number(higher is newer)

`string id = 1;`

### getIdBytes

com.google.protobuf.ByteString getIdBytes()

    a string identifier that is the uuid of this lookup table, and the version number(higher is newer)

`string id = 1;`

### getVersion

long getVersion()
`int64 version = 2;`